Skip to content

Add a wallet address to the user's address book.

POST
/api/v2/user/wallet-address-book
object
name
required

The name for the wallet address in the user’s wallet address book.

string
""
Example
My savings wallet
currency
required

The currency of the wallet address.

string
""
Example
BTC
address
required

The address of the wallet address.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The (optional) destination tag or memo of the wallet address.

string|integer
nullable
Example
ABC12345
walletType
One of:
string
Allowed values: vasp unhosted

Successfully added wallet address to user’s address book.

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER014 ER015 ER044 ER109 ER114 ER325 ER357 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER014": {
"code": "ER014",
"message": "Invalid wallet address.",
"solution": "Provide a valid wallet address for the selected currency pair."
},
"ER015": {
"code": "ER015",
"message": "Invalid destination tag.",
"solution": "Provide a valid destination tag."
},
"ER044": {
"code": "ER044",
"message": "Destination tag not supported for this currency pair.",
"solution": "Leave the destination tag empty."
},
"ER109": {
"code": "ER109",
"message": "No currency provided.",
"solution": "Provide a supported currency."
},
"ER114": {
"code": "ER114",
"message": "Unsupported currency provided.",
"solution": "Provide a supported currency."
},
"ER325": {
"code": "ER325",
"message": "Wallet address is required",
"solution": "Please provide a valid wallet address."
},
"ER357": {
"code": "ER357",
"message": "Wallet address name is required and should be a string.",
"solution": "Please provide a valid wallet address name."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}